_concat|separator)\b">
        <token type="NameFunction"/>
      </rule>
      <rule pattern="(true|false)">
        <token type="KeywordConstant"/>
      </rule>
      <rule pattern="[+\-]?(\d+\.\d*[eE][+-]?\d+|\.?\d+[eE][+-]?\d+)">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="[+\-]?(\d+\.\d*|\.\d+)">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="[+\-]?\d+">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="(\|\||&amp;&amp;|=|\*|\-|\+|/|!=|&lt;=|&gt;=|!|&lt;|&gt;)">
        <token type="Operator"/>
      </rule>
      <rule pattern="[(){}.;,:^\[\]]">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="#[^\n]*">
        <token type="Comment"/>
      </rule>
      <rule pattern="&#34;&#34;&#34;">
        <token type="LiteralString"/>
        <push state="triple-double-quoted-string"/>
      </rule>
      <rule pattern="&#34;">
        <token type="LiteralString"/>
        <push state="single-double-quoted-string"/>
      </rule>
      <rule pattern="&#39;&#39;&#39;">
        <token type="LiteralString"/>
        <push state="triple-single-quoted-string"/>
      </rule>
      <rule pattern="&#39;">
        <token type="LiteralString"/>
        <push state="single-single-quoted-string"/>
      </rule>
    </state>
    <state name="triple-double-quoted-string">
      <rule pattern="&#34;&#34;&#34;">
        <token type="LiteralString"/>
        <push state="end-of-string"/>
      </rule>
      <rule pattern="[^\\]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralString"/>
        <push state="string-escape"/>
      </rule>
    </state>
    <state name="single-double-quoted-string">
      <rule pattern="&#34;">
        <token type="LiteralString"/>
        <push state="end-of-string"/>
      </rule>
      <rule pattern="[^&#34;\\\n]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralString"/>
        <push state="string-escape"/>
      </rule>
    </state>
    <state name="triple-single-quoted-string">
      <rule pattern="&#39;&#39;&#39;">
        <token type="LiteralString"/>
        <push state="end-of-string"/>
      </rule>
      <rule pattern="[^\\]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralStringEscape"/>
        <push state="string-escape"/>
      </rule>
    </state>
    <state name="single-single-quoted-string">
      <rule pattern="&#39;">
        <token type="LiteralString"/>
        <push state="end-of-string"/>
      </rule>
      <rule pattern="[^&#39;\\\n]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralString"/>
        <push state="string-escape"/>
      </rule>
    </state>
  </rules>
</lexer>